/*
 Theme Name:     OilfastUK 2022
 Theme URI:      oilfast-uk.co.uk
 Description:    OilfastUK 2022
 Author:         Oilfast Group  
 Author URI:     oilfast-uk.co.uk
 Template:       Divi
 Version:        1.0.0
*/
 
 
/* =Theme customization starts here
------------------------------------------------------- */
h2 {color:#6d6d6d;}

#top-header:after {content: "";position: absolute;top: 0; right: -50px; width: 42%;height: 100%;background: #2c2764; transform: skew(-20deg);background: #d83030 !important;z-index:10 !important;}
#top-header .container {z-index:20;}
#top-header {background-color:#2c2764;}
.footer-widget h4 {color:#d82530;}

#footer-widgets .footer-widget li:before {display:none;}#footer-widgets .footer-widget li {padding-left: 0px;}

#footer-widgets .footer-widget li a {color:#565656;}


.et_pb_bg_layout_light .et_pb_post .post-meta a {color:#d83030 !important;font-weight:600;}
#footer-widgets .footer-widget li a:hover {color:#2c2764 !important;}

.gform_wrapper.gravity-theme input[type=color], .gform_wrapper.gravity-theme input[type=date], .gform_wrapper.gravity-theme input[type=datetime-local], .gform_wrapper.gravity-theme input[type=datetime], .gform_wrapper.gravity-theme input[type=email], .gform_wrapper.gravity-theme input[type=month], .gform_wrapper.gravity-theme input[type=number], .gform_wrapper.gravity-theme input[type=password], .gform_wrapper.gravity-theme input[type=search], .gform_wrapper.gravity-theme input[type=tel], .gform_wrapper.gravity-theme input[type=text], .gform_wrapper.gravity-theme input[type=time], .gform_wrapper.gravity-theme input[type=url], .gform_wrapper.gravity-theme input[type=week], .gform_wrapper.gravity-theme select, .gform_wrapper.gravity-theme textarea {
    font-size: 15px;
    margin-bottom: 0;
    margin-top: 0;
    padding: 8px;
    background: none;
    border-top: 0px;
    border-left: 0px;
    border-right: 0px;
    border-color: #fff;
    color: white; border-width:2px;
}
#gform_submit_button_1 {width:100%; border:none;box-shadow:none;padding:9px 0px; color:#d83030 !important;text-transform:uppercase;font-weight:800;background-color:#fff !important;}
#gform_submit_button_1:hover {background-color:#b12029 !important;color:white !important;}
.orderonlinepanel a {color:white;} .orderonlinepanel a:hover {color:#2b2764!important;}

.et_pb_sidebar_0 .widget_block {background: #fff;padding: 40px 30px;box-shadow: 0 2px 20px rgb(0 0 0 / 8%);border-radius: 0;}
#blogfeed .et_pb_post  {background: #fff;padding: 20px 30px;box-shadow: 0 2px 20px rgb(0 0 0 / 8%);border-radius: 0;}
.et_pb_widget_area_right {border-left:0px solid;}
.footer-widget {color:#565656;}
.et_pb_widget_area_left {border-right:0px;}
 /* gform placeholders*/ ::-webkit-input-placeholder { color:#FFF; } :-moz-placeholder { opacity: 1; color:#FFF; } /* Firefox 18- */ ::-moz-placeholder { opacity: 1; color:#FFF; } 

.legalsidebar {background: #fff;padding: 20px 30px 30px;box-shadow: 0 2px 20px rgb(0 0 0 / 8%);border-radius: 0;}
.legalsidebar h4.title {color:#d83030;font-weight:bold;padding-bottom:0.5em; border-bottom:1px solid #eaeaea;margin-bottom:0.7em;}
.legalsidebar .et_pb_widget ul li {
    margin-bottom: 0.5em;
    border-bottom: #eaeaea solid 1px;
    padding-bottom: 0.5em !important;
}
.legalsidebar .et_pb_widget ul li.current-menu-item {color:#d83030;font-weight:600;}



.et_pb_gutters3.et_pb_footer_columns_1_2__1_4 .footer-widget:first-child .fwidget {margin-bottom:4%;}

.cuf .gform_wrapper.gravity-theme input[type=color], .cuf .gform_wrapper.gravity-theme input[type=date],.cuf .gform_wrapper.gravity-theme input[type=datetime-local],.cuf .gform_wrapper.gravity-theme input[type=datetime],.cuf .gform_wrapper.gravity-theme input[type=email],.cuf .gform_wrapper.gravity-theme input[type=month],.cuf .gform_wrapper.gravity-theme input[type=number],.cuf .gform_wrapper.gravity-theme input[type=password],.cuf .gform_wrapper.gravity-theme input[type=search],.cuf .gform_wrapper.gravity-theme input[type=tel],.cuf .gform_wrapper.gravity-theme input[type=text],.cuf .gform_wrapper.gravity-theme input[type=time],.cuf .gform_wrapper.gravity-theme input[type=url],.cuf .gform_wrapper.gravity-theme input[type=week],.cuf .gform_wrapper.gravity-theme select,.cuf .gform_wrapper.gravity-theme textarea {color:#6d6d6d !important;border-color:#949494;}

/* gform placeholders*/.cuf ::-webkit-input-placeholder { color:#6d6d6d ; }.cuf :-moz-placeholder { opacity: 1; color:#6d6d6d ; } /* Firefox 18- */.cuf ::-moz-placeholder { opacity: 1; color:#6d6d6d ; } 
 

.cuf {padding: 20px 30px;box-shadow: 0 2px 20px rgb(0 0 0 / 8%);border-radius: 0;}

.et-social-linkedin a.icon:before {
    content: '\e09d';
    margin-right: 10px;
}

.footer-widget p.et-social-icon.et-social-linkedin a {color:#6d6d6d !important;font-size:16px;}

ul.featurelist {list-style:none;column-count: 2;}
.footersuppliers {float:right;display:flex;}



@media only screen and  (max-width: 980px) {
  .et_header_style_split .mobile_menu_bar, 
  .et_header_style_left .mobile_menu_bar {    
    z-index: 9999;
  }
  #et-top-navigation {    
    padding-right: 5px;
  }
}


#main-header .container.clearfix.et_menu_container {
    width: 90%;
}

@media only screen and (max-width: 980px){

.et_pb_fullwidth_header_0.et_pb_fullwidth_header .et_pb_fullwidth_header_container .header-content {max-width:90% !important;}
	#getaquote .et_pb_with_border {border-right-width:0px !important;}
	#main-footer .et_pb_widget {float:none !important;margin:auto !important;text-align:center;}
	#main-footer .et_pb_widget img {float:none !important;margin:auto !important;}
	.fwidget {text-align:center;}
	#top-header:after {display:none;}
}


@media only screen and (max-width: 480px)  {
 ul.featurelist { column-count:1 !important;}
	.footersuppliers img {width:35%;margin:0 5%;}
	.et_pb_fullwidth_header_0 {padding-top: 50px!important;padding-bottom: 30px!important;}
}


/**** Nesting Menu ****/

    /* when mobile menu is open, change hamburger icon to x icon */

    #et_mobile_nav_menu .mobile_nav.opened .mobile_menu_bar::before {
        content: '\4d';
    }
    /* makes sub sub menu icon be right arrow instead of down arrow */

    #top-menu .menu-item-has-children .menu-item-has-children > a:first-child::after,
    #et-secondary-nav .menu-item-has-children .menu-item-has-children > a:first-child::after {
        content: '5';
    }
    /* - mobile menu toggling elements, injected via jQuery - */
    /* make menu list item be relative, to be able to position toggle within this item */

    #main-header #mobile_menu.et_mobile_menu .menu-item-has-children {
        position: relative;
    }
    /* the new toggle element, which is added via jQuery */

    #main-header #mobile_menu.et_mobile_menu .sub-menu-toggle {
        position: absolute;
        z-index: 1;
        width: 36px;
        height: 36px;
        line-height: 36px;
        border-radius: 50%;
        top: 5px;
        right: 30px;
        cursor: pointer;
        text-align: center;
    }
    /* the new toggle element when popped */

    #main-header #mobile_menu.et_mobile_menu .sub-menu-toggle.popped {
        background-color: rgba(255,255,255, 0.2);
    }
    /* toggle icon */

    #main-header #mobile_menu.et_mobile_menu .sub-menu-toggle::before {
        font-family: "ETmodules" !important;
        font-weight: normal;
        font-style: normal;
        font-variant: normal;
        -webkit-font-smoothing: antialiased;
        -moz-osx-font-smoothing: grayscale;
        line-height: 36px;
        font-size: 24px;
        text-transform: none;
        speak: none;
        content: '\33';
        color: #da1755;
    }
    /* toggle icon when triggered */

    #main-header #mobile_menu.et_mobile_menu .sub-menu-toggle.popped::before {
        content: '\32';
    }
    /* hide sub menus by default */

    #main-header #mobile_menu.et_mobile_menu .sub-menu-toggle ~ ul.sub-menu {
        display: none !important;
        padding-left: 0;
    }
    /* show sub menu when triggered via jQuery toggle, and add slight bg color */

    #main-header #mobile_menu.et_mobile_menu .sub-menu-toggle.popped ~ ul.sub-menu {
        display: block !important;
    }
    /* remove sub menu list item left padding, since padding will be on anchors */

    #main-header #mobile_menu.et_mobile_menu li li {
        padding-left: 0;
    }
    /* adjust mobile menu anchors side paddings */

    #main-header #mobile_menu.et_mobile_menu li a {
        padding-left: 20px;
        padding-right: 20px;
    }
    /* indent sub sub menus further */

    #main-header #mobile_menu.et_mobile_menu li li li a {
        padding-left: 60px;
        padding-right: 20px;
    }

    #main-header #mobile_menu.et_mobile_menu .menu-item-has-children > a {
        background-color: transparent;
        font-weight: inherit;
    }
    /* make the current page's mobile menu link be different */

    #main-header #mobile_menu.et_mobile_menu li.current-menu-item > a {
        font-weight: bolder;
    }

    /****** Code Style: Menu Slide-In ******/

    /* Font Awesome */
    .fa {
        margin-right: 15px ;
      }

    @media only screen and (max-width: 980px){
    #mobile_menu {
        display: block !important;
        min-height: 100vh;
        height: 100%;
        top: 0;
        right: 0;
        position: fixed;
        z-index: 9998;
        overflow: scroll;
        border-top: none;
        padding-top: 60px !important;
    }

    .et_mobile_menu li a {
        color: #fff !important;
        width: 100%;
        float: left;
        text-align: left;
        border-bottom: 1px solid #ddd;
        margin: 5px;
        transition: .2s;
        text-transform: uppercase;
    }
    .mobile_nav ul#mobile_menu .current_page_item > a {
        color: #d83030 !important;
    background-color: rgba(255, 255, 255, 0.1);
    }

    .mobile_nav.closed #mobile_menu {
        background: rgba(51,51,51,0.9) !important;
        -webkit-transform: translateX(100%);
        -moz-transform: translateX(100%);
        -ms-transform: translateX(100%);
        -o-transform: translateX(100%);
        transform: translateX(100%);
        -webkit-backface-visibility: hidden;
        backface-visibility: hidden;
        -webkit-transition: -webkit-transform 0.4s 0s;
        -moz-transition: -moz-transform 0.4s 0s;
        transition: transform 0.4s 0s;
        background: rgba(51,51,51,0.9) !important;
    }

    .mobile_nav.opened #mobile_menu {
        background: rgba(44,39,100,0.98) !important;
        -webkit-transform: translateX(0);
        -moz-transform: translateX(0);
        -ms-transform: translateX(0);
        -o-transform: translateX(0);
        transform: translateX(0);
        -webkit-overflow-scrolling: touch;
        -webkit-transition: -webkit-transform 0.4s 0s;
        -moz-transition: -moz-transform 0.4s 0s;
        transition: transform 0.4s 0s;
    }

    #main-header .container.clearfix.et_menu_container {
        width: 90%;
    }

    .mobile_menu_bar:before {
        color: #1b1d1e !important;
    }
    .mobile_nav.opened .mobile_menu_bar:before {
        content: '\4d';
        color: #fff !important;
        z-index: 9999;
    }
    }

    @media only screen and  (max-width: 980px) {
      .et_header_style_split .mobile_menu_bar, .et_header_style_left .mobile_menu_bar {    
        z-index: 9999;
      }
      #et-top-navigation {    
        padding-right: 5px;
      }
    }

    @media only screen and (min-width: 481px)  {
      #mobile_menu {    
        width: 340px;    
        margin-left: calc(100% - 340px);
      }
    }
    @media only screen and (max-width: 480px)  {
      #mobile_menu {    
        width: 290px;    
        margin-left: calc(100% - 290px);
      }
    }
@media only screen and (max-width: 599px) {
.et_pb_gutters3 .footer-widget:first-child {margin-right:12.5% !important;width:40% !important;}
.et_pb_gutters3 .footer-widget:last-child {margin-right:0% !important;float:right;}
.footersuppliers {float:none !important;width: fit-content;margin: auto;}
 .swap .et_pb_row { display: flex;flex-direction: column;}
	.swap .et_pb_row .et_pb_column_2_5 { order: 1; width:100%;}
  .swap .et_pb_row .et_pb_column_3_5 { order: 2; width:100%;}
	.et_pb_fullwidth_header_0.et_pb_fullwidth_header .header-content h1 {font-size:26px !important;}}


@media screen and (min-width: 600px) and (max-width:970px) {
	.et_pb_gutters3 .footer-widget:first-child {width:95% !important;margin-right:0% !important;}
	.footersuppliers {float:none !important;width: fit-content;margin: auto;}
   .swap .et_pb_row { display: flex;flex-direction: column;}
	.swap .et_pb_row .et_pb_column_2_5 { order: 1; width:100%;}
  .swap .et_pb_row .et_pb_column_3_5 { order: 2; width:100%;}
}

.hpblog .et_pb_image_container { margin: -20px -20px -17px;}

/*make the parts of the blog post flexible*/

.et_pb_post {
	display: flex;
	flex-direction: column;
}


/*blog post featured image*/

.et_pb_post .et_pb_image_container, .et_pb_post .entry-featured-image-url {
	order: 1;
}


/*blog post title*/

.et_pb_post .entry-title {
	order: 3;
}


/*blog post meta*/

.et_pb_post .post-meta {
	order: 2;
}


/*blog post excerpt and button*/

.et_pb_post .post-content {
	order: 4;
}



#gform_widget-2 h4.widgettitle {color:white; text-align:center; font-size: 1.8em;
    line-height: 1.2em;
	font-weight: 700;}
#gform_widget-2 {background-image: linear-gradient(180deg,rgba(216,37,48,0.92) 0%,rgba(216,37,48,0.95) 98%),url(http://oilfast-uk.co.uk/wp-content/uploads/2022/05/Oilfast-UK-header-photo.jpg)!important;padding:12px;}

#gform_widget-2 #gform_submit_button_2 {width: 100%;
    border: none;
    box-shadow: none;
    padding: 9px 0px;
    color: #d83030 !important;
    text-transform: uppercase;
    font-weight: 800;
    background-color: #fff !important;}


.privacy {color:white; font-size:0.9em;}

#block-7, #block-4 {display:none;}

ul.mannollist {margin-top:12px;} .mannollist li {display:inline-block; width:45%;} 

.vcenterbox {justify-content:center;align-content:center;}

/* Hide image titles on hover */
img {
pointer-events:none;
}

.hvo-fiq .et_pb_column_1_2{width:35%;}
.hvo-fiq .et_pb_column_1_6 {width:17%;margin-right:3.5%;}

.cuf .privacy {color:#6d6d6d;}
.cuf #gform_submit_button_1 {background-color: #d83030 !important;color: #fff !important;}

.cuf #gform_submit_button_1:hover {background-color: #b12029 !important;}
.dgbm_blog_module_0 .dgbm_post_item .dg_read_more_wrapper,
.dgbm_blog_module_0_tb_body.dgbm_blog_module .dgbm_post_item .dg_read_more_wrapper {
    background-color: #ca2630 !important;
    padding: 11px 16px;
    margin-top: auto; color: #ffffff !important;
}
.dgbm_blog_module_0 .dgbm_post_item .dg_read_more_wrapper a, .dgbm_blog_module_0 .dgbm_post_item .dg_read_more_wrapper a {
    font-family: 'Fira Sans', Helvetica, Arial, Lucida, sans-serif !important;
    color: #fff !important;
}
.dgbm_blog_module_0 .dgbm_post_item .dg_read_more_wrapper a, .dgbm_blog_module_0 .dgbm_post_item .dg_read_more_wrapper a {color: #ffffff !important;}

.whitetext a {color:#fff;} .whitetext a:hover {color:#efefef;}